const express = require("express");
var app = express();
var bodyParser = require('body-parser');
app.use(bodyParser.json({ limit: '100mb' }));
app.use(bodyParser.urlencoded({ limit: '500mb', extended: true, parameterLimit: 100000 }));
const { catchErrors, checkToken } = require("../handlers/errorHandlers");
const BillingController = require("../controllers/BillingController");
const router = express.Router();

router.route("/billing/batch").get(catchErrors(BillingController.getBatch));
router.route("/billing/export-csv").get(catchErrors(BillingController.exportCsv));
router.route("/billing/years").get(catchErrors(BillingController.getYearList));
router.route("/billingTest").get(catchErrors(BillingController.exportExcelNewActionTest));
router.route("/billing").get(catchErrors(BillingController.exportExcelNewAction));
router.route("/billingPost").post(catchErrors(BillingController.exportExcelNewAction));


module.exports = router;